Bug 246593 - first X session crashes after some time when using fast-user-switch to login as another user
first X session crashes after some time when using fast-user-switch to login ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
All Linux
low Severity urgent
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 06:27 EDT by Valent Turkovic
Modified: 2008-01-09 06:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 06:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my /var/log/Xorg.0.log log file (41.49 KB, text/plain)
2007-07-15 09:35 EDT, Valent Turkovic
no flags Details
my /var/log/Xorg.0.log log file after X crash! (41.50 KB, text/plain)
2007-07-22 09:41 EDT, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2007-07-03 06:27:09 EDT
Description of problem:
first X session crashes after some time when using fast-user-switch to login as
another user

Version-Release number of selected component (if applicable):
Fedora 7 with latest patches and updates. Tell me what version of which
component you need and I'll give you feedback.

How reproducible:
Every time

Steps to Reproduce:
1. Login to Fedora 7 gnome desktop, start firefox, gaim and any other apps I use
2. Give keyboard to my girlfriend so she can use her desktop
3. She log to her account using fast-user-switcher
4. She finishes her work and gives me back keaboard
5. I try to switch back to my desktop and to my surprise I get an empty login an
not an option to log back to my desktop!
  
Actual results:
I find an new login screen instead of one that log me back to an existing desktop.

Expected results:
To log in back to my desktop.

Additional info:
If we do this quickly then it works. You can switch from one account to another
with no problem. But if you work for (this is an estimate) 30 minutes or more
and try to switch back I guess X crashes in mean time and I get a blank new
login screen.

This is a really serious bug and I lost lots of time, data and confidence in
Fedora 7 because of this.
Comment 1 Valent Turkovic 2007-07-15 09:35:35 EDT
Created attachment 159276 [details]
my /var/log/Xorg.0.log log file

here is the log file after X session of other user crashed!

Please fix this bug because this is the most serious bug I have encountered in
Fedora 7!
Comment 2 Valent Turkovic 2007-07-22 09:39:33 EDT
Here is a new log after the X crash - but now it even got worse! This time I
couldn't get my desktop back! I would log-on and get a black screen!

I'm attaching the log.
Comment 3 Valent Turkovic 2007-07-22 09:41:40 EDT
Created attachment 159742 [details]
my /var/log/Xorg.0.log log file after X crash!

this time after loging on I get only a black screen so I had to reboot in order
to use my Fedora 7!

Please look at this bug.
Comment 4 Ignacio Vazquez-Abrams 2007-07-22 10:27:00 EDT
Try the i810 driver.
Comment 5 Jane Dogalt 2007-07-22 13:51:09 EDT
For what its worth Valent, I would agree with you if this were happening to me.
 Currently I haven't got around to non-trivial use of FUS, but I intend to soon,
and if I run into this, I would completely agree that it deserves a lot more
developer attention.

That said, if I were you, I'd also try to disable 3D support, and see if that
helps.  Honestly FUS is so new, and so useful, that I wouldn't be upset in the
slightest if I had to sacrifice 3D to get it to work robustly.  I of course have
no idea if it will help, but just like disabling selinux, disabling 3D is right
at the top of my list of 'the usual suspects'.

I will definitely be trying to reproduce, and if necessary fix this bug in the
F8 timeframe.  But I, like others, unfortunately have higher priority things at
the moment.

Comment 6 David Timms 2007-07-22 18:28:28 EDT
{ First try removing ! and other emotive language from your posts - keep it
objective - what actually leads up to what happens ? }
Can you put package versions of f-u-s-a in the bug ?

Workaround - for now - don't assume that it is going to work when you know that
some trouble is occurring. Always save all your docs before switch. Even the
power could go off - you would loose your work just as effectively.

What is the minimum thing you do that guarantees this occurs ?
Can you login, then immediate FUS to other user without starting anything in
either session, and does it still occur ?
Can you accelerate the crash - hence making it quicker to test ?
What is in the session auto start - torrents, music playback, scheduled in cron ?
What actual apps are running in either user session.

Do you log out the second user and then log in again, or FUS back to the first
session ?

ps auxf >ps-auxf-before.txt before problem happens.
ps auxf >ps-auxf-after.txt after problem happens.

attach rpm -qa kernel\* yum\* gnome-session naut\* xorg-\* fast\* 

attach your X config {/etc/X11/xorg.conf - I think}

attach /var/log/messages that covers a crash. - add a # line saying the time at
which the problem happened.

If you don't use runlevel 4, use it to test if unselecting almost every service
except the ones that allow FUS to operate {I don't know which}, then running in
that runlevel solves the problem ?

Try creating new test1 and test2 users, and FUS between them, is it OK ?

Put the stopwatch on the time. Is it time from boot up, or time from first
login, or time from second login ? Is it always the same amount of time ?

If you switch say every one minute back to the other user, does it keep from
having the issue ?

OK, that's from an outside-looking in approach.
Comment 7 Valent Turkovic 2007-07-23 03:34:04 EDT
Jane and Ignacio thank you for your comments. From my firsts observations it
looks like switching to i810 from intel driver fixes the issue. But I'll test it
much more throughly and then report back. Also if that doesn't help I'll disable
3D then. I don't use compiz or beryl.

For David in comment #6:
I'm at work so I can't check f-u-s-a version, but I do updates every day so it
is the latest that fedora7 update repos are serving.

I can't find one thing that accelerates this behavior. I was suspicious of
Firefox   and intentionally started it and then FUS to other account and i still
can switch back-and-forth with any issues. Only when some time passes that and I
try to use FUS that X crashes. I try to login back and than I see some splashing
black-white-black and I'm presented with GDM - it reminds me of the behaviour I
see when I do CTRL-ALT-BACKSPACE.

In autostart I have Mugshot, gaim, gkrellm, glipper and on the other account
only Mugshot plus the defaults that fedora has allready setup.

Of the user apps usually (beside ones in autostart) I use mostly Firefox and
gnome-terminal. I can try to start only empty sessions but this looks like no
application bug to me. If you need I can also try with empty sessions.

Thank you again David, and I'll try all you suggested when I come home from work.
Comment 8 Matthias Clasen 2007-07-23 15:42:49 EDT
Moving this bug closer to the correct component.
Comment 9 Valent Turkovic 2007-07-23 16:33:10 EDT
Sucess!

I have been using my Fedora 7 system and FUS more and longer that I usually do
and it still can switch between accounts without a X crashing! The trick was in
intel driver. 

Ignacio thank you in comment #4.

Now I switched my X to use i810 driver on my Intel 945GM graphic card in HP
Compaq nx7300 laptop and it works great so far.

I'll continue to test it for a few more days and report back if I encounter any
issues.

Mathias do you need some specific feedback from me? Do you wan't me to switch
back to intel driver and to some tests? Just say what you need and I'll provide
the info.
Comment 10 David Timms 2007-07-29 09:23:26 EDT
(In reply to comment #9)
> Now I switched my X to use i810 driver on my Intel 945GM graphic card in HP
> Compaq nx7300 laptop and it works great so far.
...
> Mathias do you need some specific feedback from me? Do you wan't me to switch
> back to intel driver and to some tests? Just say what you need and I'll provide
> the info.
If you only see this issue with the intel rather than drv-i810 driver, which
driver exactly is the intel one ?
Comment 11 Valent Turkovic 2007-07-29 13:31:52 EDT
I tested this issue for a week now and I didn't see a sigle crash!
So when I edited my xorg.conf and instead of:

Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
EndSection


I put:

Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
EndSection

that fixed this bug for me. But the bug in "intel" driver still persists and
other fedora devels told me that "i810" is abandoned driver as "intel" is newer
and is supposed to replace "i810" driver.

If that is true then you need to fix this issue in "intel" driver.

for comment #10 David I don't understand you. What do you mean by: "which
driver exactly is the intel one ?"
Comment 12 David Timms 2007-08-01 10:10:32 EDT
> for comment #10 David I don't understand you. What do you mean by: "which
> driver exactly is the intel one ?"
You told half the answer above with text string change in xorg.conf. The other
half is where does it come from {which rpm) ?

I wonder if this is related to multiple login gnome-panel problems eg when using
vnc rather than fus, as in bug #245525 ?
Comment 13 Valent Turkovic 2007-08-06 03:37:17 EDT
I got "intel" driver the same way I did "i810" - I just installed Fedora 7. I
didn't install any non-default RPMs! That is why I find your question strange...

I did this on my FC6 machine at work (F7 is at home and shutdown):

yum whatprovides /usr/lib/xorg/modules/drivers/intel_drv.so

xorg-x11-drv-i810.i386                   1.6.5-9.fc6            release         
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-9.fc6            core            
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-10.fc6           updates         
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-9.fc6            core            
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-10.fc6           updates         
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-9.fc6            release         
Matched from:
/usr/lib/xorg/modules/drivers/intel_drv.so



xorg-x11-drv-i810.i386                   1.6.5-10.fc6           installed       



Does this help? I can do this again on my F7 machine once I get back from work...
Comment 14 Valent Turkovic 2007-12-30 08:52:54 EST
I have stopped using fast-user-switcher and since have moved to Fedora 8 so if
you need some info on this bug I can't help you anymore... sorry.
Comment 15 Matěj Cepl 2008-01-09 06:35:31 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.